Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class BracesForIfElseAstVisitor

- groovy.org.codenarc.rule.formatting.BracesForIfElseAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitElse(BracesForIfElseRule myRule, org.codehaus.groovy.ast.stmt.IfStatement node)`
    `` | `void` | `visitElseClosingBrace(BracesForIfElseRule myRule, org.codehaus.groovy.ast.stmt.IfStatement node, String srcLine)`
    `` | `void` | `visitElseOpeningBrace(BracesForIfElseRule myRule, org.codehaus.groovy.ast.stmt.IfStatement node, String srcLine)`
    `` | `void` | `visitIfElse(org.codehaus.groovy.ast.stmt.IfStatement node)`

- - ### Method Detail

    - #### void visitElse(BracesForIfElseRule myRule, org.codehaus.groovy.ast.stmt.IfStatement node)

    - #### void visitElseClosingBrace(BracesForIfElseRule myRule, org.codehaus.groovy.ast.stmt.IfStatement node, String srcLine)

    - #### void visitElseOpeningBrace(BracesForIfElseRule myRule, org.codehaus.groovy.ast.stmt.IfStatement node, String srcLine)

    - #### @Override void visitIfElse(org.codehaus.groovy.ast.stmt.IfStatement node)